Video Add Text
Snapshot Catalog Entry
This page is generated from broker tools/list snapshot data.
Execute ffmpeg.video_add_text through the broker.
Request Body
{
"jsonrpc": "2.0",
"id": "ffmpeg-video-add-text-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.video_add_text",
"arguments": {
"asset_id": "asset_id_123",
"text": "text_example",
"position": "",
"font_size": "",
"font_color": "",
"background_box": "",
"box_color": "",
"box_border_width": "",
"font_name": "",
"font_asset_id": ""
}
}
}
Arguments Schema
{
"properties": {
"asset_id": {
"type": "string"
},
"text": {
"type": "string"
},
"position": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"font_size": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"font_color": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"background_box": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"box_color": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"box_border_width": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"font_name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"font_asset_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"priority": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"asset_id",
"text"
],
"type": "object"
}
Code Examples
- cURL
- Node.js
- Python
curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ffmpeg-video-add-text-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.video_add_text",
"arguments": {
"asset_id": "asset_id_123",
"text": "text_example",
"position": "",
"font_size": "",
"font_color": "",
"background_box": "",
"box_color": "",
"box_border_width": "",
"font_name": "",
"font_asset_id": ""
}
}
}'
const response = await fetch('https://madpanda3d.com/lab/mad-mcps/portal/api/mcp', {
method: 'POST',
headers: {
Authorization: 'Bearer mad_live_***',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"jsonrpc": "2.0",
"id": "ffmpeg-video-add-text-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.video_add_text",
"arguments": {
"asset_id": "asset_id_123",
"text": "text_example",
"position": "",
"font_size": "",
"font_color": "",
"background_box": "",
"box_color": "",
"box_border_width": "",
"font_name": "",
"font_asset_id": ""
}
}
}),
});
const data = await response.json();
console.log(data);
import requests
url = 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp'
headers = {
'Authorization': 'Bearer mad_live_***',
'Content-Type': 'application/json',
}
payload = {
"jsonrpc": "2.0",
"id": "ffmpeg-video-add-text-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.video_add_text",
"arguments": {
"asset_id": "asset_id_123",
"text": "text_example",
"position": "",
"font_size": "",
"font_color": "",
"background_box": "",
"box_color": "",
"box_border_width": "",
"font_name": "",
"font_asset_id": ""
}
}
}
response = requests.post(url, headers=headers, json=payload, timeout=60)
print(response.json())
Example Responses
- 200 Success
- 502 Upstream Error
{
"ok": true,
"message": "Tool ffmpeg.video_add_text executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}
{
"ok": false,
"classification": "upstream_http_error",
"message": "Upstream MCP returned a non-success status."
}